Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.graphics
Class Point

    java.lang.Object
      org.eclipse.swt.graphics.Point

All Implemented Interfaces:
  Serializable, org.eclipse.swt.internal.SerializableCompatibility

public final class Point
extends Object
implements org.eclipse.swt.internal.SerializableCompatibility

Instances of this class represent places on the (x, y) coordinate plane.

The coordinate space for rectangles and points is considered to have increasing values downward and to the right from its origin making this the normal, computer graphics oriented notion of (x, y) coordinates rather than the strict mathematical one.

The hashCode() method in this class uses the values of the public fields to compute the hash value. When storing instances of the class in hashed collections, do not modify these fields after the object has been inserted.

Application code does not need to explicitly release the resources managed by each instance when those instances are no longer required, and thus no `dispose()` method is provided.

See Also:
  `Rectangle`, Serialized Form

Field Summary
`int` | `x` the x coordinate of the point
`int` | `y` the y coordinate of the point

Constructor Summary
`Point(int x, int y)` Constructs a new point with the given x and y coordinates.

Method Summary
`boolean` | `equals(Object object)` Compares the argument to the receiver, and returns true if they represent the same object using a class specific comparison.
`int` | `hashCode()` Returns an integer hash code for the receiver.
`String` | `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public int x

  the x coordinate of the point

### y

    public int y

  the y coordinate of the point

Constructor Detail

### Point

    public Point(int x,
                 int y)

  Constructs a new point with the given x and y coordinates.

Parameters:
  `x` - the x coordinate of the new point
  `y` - the y coordinate of the new point

Method Detail

### equals

    public boolean equals(Object object)

  Compares the argument to the receiver, and returns true if they represent the same object using a class specific comparison.

  Parameters:
    `object` - the object to compare with this object
  Returns:
    `true` if the object is the same as this object and `false` otherwise
  See Also:
    `hashCode()`

### hashCode

    public int hashCode()

  Returns an integer hash code for the receiver. Any two objects which return `true` when passed to `equals` must return the same value for this method.

  Returns:
    the receiver's hash
  See Also:
    `equals(Object)`

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Returns:
    a string representation of the point

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.